document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Mobile menu toggle
  const createMobileMenu = () => {
    const nav = document.querySelector('nav');
    const burger = document.createElement('div');
    burger.className = 'burger';
    burger.innerHTML = '☰';
    burger.style.display = 'none';
    
    if (window.innerWidth <= 768) {
      burger.style.display = 'block';
    }
    
    nav.appendChild(burger);
    
    burger.addEventListener('click', () => {
      const navLinks = document.querySelector('.nav-links');
      navLinks.style.display = navLinks.style.display === 'flex' ? 'none' : 'flex';
    });
  };

  createMobileMenu();
  
  // Animate on scroll
  const animateOnScroll = () => {
    const elements = document.querySelectorAll('.category-card, .feature');
    
    const observer = new IntersectionObserver((entries) => {
      entries.forEach(entry => {
        if (entry.isIntersecting) {
          entry.target.style.opacity = '1';
          entry.target.style.transform = 'translateY(0)';
        }
      });
    });
    
    elements.forEach(element => {
      element.style.opacity = '0';
      element.style.transform = 'translateY(20px)';
      element.style.transition = 'all 0.6s ease-out';
      observer.observe(element);
    });
  };

  animateOnScroll();
});
